#include <bits/stdc++.h>
#define ll long long
using namespace std;

int main()
{
    int n,k,x;
    cin >> n >> k >> x;
    int r[n];
    r[0]=1;
    for(int i=1;i<=k;i++)
    {
        r[i] = r[i-1] + x;
    }
    if(k<n-1)
    {
        for(int i=k;i<n;i++) r[i] = r[k];
    }
    for(int i=0;i<n;i++)
    {
        cout << r[i] << " ";
    }
}